 <?php
 include_once('resources/init.php');
 include_once('header.php');
 $post = get_posts($_GET['id']);
 if( isset($_POST['title'], $_POST['contents'], $_POST['category']) ){
 $errors=array();
 $title		= trim($_POST['title']);
 $contents	= trim($_POST['contents']);
 if( empty($title) ){
 $errors[]='Нужно заполнить название';
 }elseif( strlen($title)>255 ){
 $errors[]='Заголовок более 255 символов';
 }
  if( empty($contents) ){
  $errors[]='Нужно заполнить содержание сообщения';
 }
 if(! category_exists('id',$_POST['category'])){
 $errors[]='Категория не найдена';
 }
  if(empty($errors)){
  edit_post($_GET['id'],$title,$contents,$_POST['category'],$username);
  header("Location:index.php?id={$post[0]['post_id']}");
  die();
  }
 }

 ?>


 <!DOCTYPE html>
 <html>
  <head>
    <title>Редактировать запись</title>
    <meta http-equiv='Content-Type' content='text/html; charset=utf-8' />
    <meta content="">
    <style></style>
  </head>
  <body>
  <?php
if(isset($errors) && ! empty($errors)){
echo '<ul><li>',implode('</li><li>',$errors),'</li></ul>'; 
 }
?>
<form action="" method="post">
<label for="title">Название</label></br>
<input type="text" name="title" value="<?php echo $post[0]['title'];?>"/></br>
<label for="title">Сообщение</label></br>
<textarea name="contents" rows="15" cols="50"><?php echo $post[0]['contents'];?></textarea></br>
<label for="contents">Тема сообщения</label></br>
<select name="category">
<?php
foreach(get_categories() as $category){
$selected = ($category['name']==$post[0]['name'])? "Тема сообщения была:  ":'';
echo "<option value='".$category['id']."'>".$selected.$category['name']."</option>";
}
?>
</select></br>
<input type='submit' value="Редактировать запись"/></br>
</form>
</body>
</html> 
 

